:root {
  --parser-text-nonlink: #fff;
}

.dark {
  --parser-text-nonlink: var(--body-text-color);
}

#SD-Image-Parser-Model-Output {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  width: auto;
  height: auto;
  cursor: default;
  pointer-events: auto;
  transition: 0.3s ease;
}

#SD-Image-Parser-Model-Output .sd-image-parser-modeloutput-line {
  display: flex;
  padding: 0px;
  gap: 0.5rem;
  border-radius: 1rem;
}

#SD-Image-Parser-Model-Output .sd-image-parser-modeloutput-label,
#SD-Image-Parser-Model-Output .sd-image-parser-modeloutput-hashes {
  display: flex;
  flex-wrap: wrap;
  word-wrap: break-word;
  white-space: normal;
  box-sizing: border-box;
  filter: drop-shadow(0 0 1px rgba(0, 0, 0, 0.5));
}

#SD-Image-Parser-Model-Output .sd-image-parser-modeloutput-label {
  width: 16%;
  background-color: var(--input-background-fill);
  font-size: 15px;
  border-top-left-radius: 1rem;
  border-bottom-left-radius: 1rem;
  align-items: center;
  justify-content: center;
}

#SD-Image-Parser-Model-Output .sd-image-parser-modeloutput-hashes {
  width: 84%;
  overflow-wrap: break-word;
  column-gap: 10px;
  padding: 3px 10px;
  row-gap: 3px;
  position: relative;
  align-items: flex-start;
  border: 0;
  border-radius: 0 1rem 1rem 0;
  background: rgba(0, 0, 0, 0.4);
  box-shadow: inset 0 0 10px 1px rgba(255, 255, 255, 0.3);
  filter: drop-shadow(0 0 6px rgba(0, 0, 0, 0.1));
  transition: background-color .5s ease;
}

#SD-Image-Parser-Model-Output .sd-image-parser-modeloutput-hashes:hover {
  background: rgba(0, 0, 0, 0.6);
}

#SD-Image-Parser-Model-Output .sd-image-parser-modeloutput-hashes .sd-image-parser-link {
  font-size: 13px;
  color: var(--body-text-color) !important;
  text-decoration: none !important;
  border: 1px solid var(--primary-600) !important;
  padding: 2px 7px;
  margin: 3px 0;
  background-color: var(--panel-background-fill) !important;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 50ch;
  font-weight: normal;
  transition: 0.1s ease-out;
}

#SD-Image-Parser-Model-Output .sd-image-parser-modeloutput-hashes .sd-image-parser-link:hover {
  color: #000 !important;
  border-color: #000 !important;
  background: var(--primary-400) !important;
  box-shadow: 0 0 10px 0px var(--primary-400);
  filter: drop-shadow(0 0 1px var(--primary-400));
}

#SD-Image-Parser-Model-Output .sd-image-parser-modeloutput-hashes .sd-image-parser-nonlink {
  color: var(--parser-text-nonlink);
  font-size: 14px;
  border: 1px solid transparent;
  padding: 2px 3px;
  margin: 3px 0;
  white-space: normal;
  word-wrap: break-word;
  overflow: hidden;
}
